Subject: bug#42808: closed (Re: [bug#42808] [PATCH] gnu: python-lxml: Update to 4.5.2.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 13 Aug 2020 08:32:02 +0000

Your bug report

#42808: [PATCH] gnu: python-lxml: Update to 4.5.2.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42808: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42808
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#42808] [PATCH] gnu: python-lxml: Update to 4.5.2.
From: Mathieu Othacehe <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 13 Aug 2020 10:31:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

> * gnu/packages/xml.scm (python-lxml): Update to 4.5.2.
> ---
> Am I supposed to add copyright for stuff this small?

No it's fine. However this change triggers many rebuilds so I had to
apply it on core-updates.

Thanks,

Mathieu

Subject: [PATCH] gnu: python-lxml: Update to 4.5.2.
From: [email-masked]
To: [email-masked]
Cc: Morgan Smith <[email-masked]>
Date: Mon, 10 Aug 2020 22:51:07 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

From: Morgan Smith <[email-masked]>

* gnu/packages/xml.scm (python-lxml): Update to 4.5.2.
---
Am I supposed to add copyright for stuff this small?

 gnu/packages/xml.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xml.scm b/gnu/packages/xml.scm
index 20d9de246c..05e5f532b2 100644
--- a/gnu/packages/xml.scm
+++ b/gnu/packages/xml.scm
@@ -2152,13 +2152,13 @@ because lxml.etree already has it's own implementation of XPath 1.0.")
 (define-public python-lxml
   (package
     (name "python-lxml")
-    (version "4.4.2")
+    (version "4.5.2")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "lxml" version))
        (sha256
-        (base32 "01nvb5j8vs9nk4z5s3250b1m22b4d08kffa36if3g1mdygdrvxpg"))))
+        (base32 "1xhx76hr1w3lllfcg9a01f2y0zwyf59ijnvlh08299mjh8b3mhfd"))))
     (build-system python-build-system)
     (arguments
      `(#:phases (modify-phases %standard-phases
-- 
2.27.0